Page MenuHomePhabricator

rack/setup/deploy maps200[1-4]
Closed, ResolvedPublic

Description

The systems for this task have been ordered on procurement task T133187. Once these arrive on-site, they will be racked in A5, B5,C5 and D5

maps2001

  • receive in normally via T133187
  • rack in A5-codfw
  • add mgmt dns entries for both asset tag and hostname
  • add production dns entries (private vlan)
  • create sub-task with network port info for setup
  • update dhcp file with MAC address
  • update install_server module (raid1-lvm-ext4-srv.cfg)
  • install OS - Jessie
  • puppet/salt keys signed/accepted
  • service implementation (hand off to @Gehel)

maps2002

  • receive in normally via T133187
  • rack in B5-codfw
  • add mgmt dns entries for both asset tag and hostname
  • add production dns entries (private vlan)
  • create sub-task with network port info for setup
  • update dhcp file with MAC address
  • update install_server module (raid1-lvm-ext4-srv.cfg)
  • install OS - Jessie
  • puppet/salt keys signed/accepted
  • service implementation (hand off to @Gehel)

maps2003

  • receive in normally via T133187
  • rack in C5-codfw
  • add mgmt dns entries for both asset tag and hostname
  • add production dns entries (private vlan)
  • create sub-task with network port info for setup
  • update dhcp file with MAC address
  • update install_server module (raid1-lvm-ext4-srv.cfg)
  • install OS - Jessie
  • puppet/salt keys signed/accepted
  • service implementation (hand off to @Gehel)

maps2004

  • receive in normally via T133187
  • rack in D5-codfw
  • add mgmt dns entries for both asset tag and hostname
  • add production dns entries (private vlan)
  • create sub-task with network port info for setup
  • update dhcp file with MAC address
  • update install_server module (raid1-lvm-ext4-srv.cfg)
  • install OS - Jessie
  • puppet/salt keys signed/accepted
  • service implementation (hand off to @Gehel)

Event Timeline

Papaul created this task.May 4 2016, 4:52 PM
Restricted Application added a project: Operations. · View Herald TranscriptMay 4 2016, 4:52 PM
Restricted Application added subscribers: Zppix, Southparkfan, Aklapper. · View Herald Transcript
Papaul claimed this task.May 4 2016, 4:53 PM
Papaul triaged this task as Medium priority.
Papaul updated the task description. (Show Details)May 5 2016, 3:59 AM
Papaul updated the task description. (Show Details)May 5 2016, 6:12 PM
Dzahn added a subscriber: Dzahn.May 5 2016, 6:18 PM

merged DNS change that created mgmt entries, ran authdns-update on ns0

Papaul updated the task description. (Show Details)May 6 2016, 3:48 AM
Papaul updated the task description. (Show Details)May 6 2016, 4:14 AM
Dzahn added a comment.May 6 2016, 4:42 AM

21:38 < grrrit-wm> (CR) Dzahn: [C: 2] DNS: Adding production DNS entries for maps200[1-4] Bug: T134406 [dns] - https://gerrit.wikimedia.org/r/287164

(https://phabricator.wikimedia.org/T134406) (owner: Papaul)

21:40 < grrrit-wm> (CR) Dzahn: [C: 2] DHCP: Add MAC Address entries for maps200[1-4] Bug: T134406 [puppet] - https://gerrit.wikimedia.org/r/287165

(https://phabricator.wikimedia.org/T134406) (owner: Papaul)

21:43 < grrrit-wm> (CR) Dzahn: [C: 2] Adding install params for maps200[1-4] Bug: T134406 [puppet] - https://gerrit.wikimedia.org/r/287167

(https://phabricator.wikimedia.org/T134406) (owner: Papaul)
Papaul added a comment.May 7 2016, 5:40 PM

The OS Installation is done on maps2001, maps2003 and maps2004. On maps2002 after the installation and after the system reboots to load the OS I get the error message below.
/bin/sh: E: not found
(initramfs)

I am stay working on investigating this error

Papaul updated the task description. (Show Details)May 7 2016, 10:38 PM
Papaul reassigned this task from Papaul to Gehel.May 9 2016, 3:39 PM
Papaul updated the task description. (Show Details)
Gehel added a comment.May 10 2016, 4:26 PM

@Papaul: I'm following the service implementation on T134901. Can I close this task? Or do you still need to track something here?

@Gehel you are welcome to close the task,

Gehel closed this task as Resolved.May 12 2016, 7:41 AM